;;;; -*- Mode: Lisp; Syntax: ANSI-Common-Lisp; Base: 10; Package: modlisp -*-
;;;; *************************************************************************
;;;; FILE IDENTIFICATION
;;;;
;;;; Name:          base.lisp
;;;; Purpose:       Base data and functions for modlisp package
;;;; Programmer:    Kevin M. Rosenberg
;;;; Date Started:  Dec 2002
;;;;
;;;; $Id: variables.lisp,v 1.2 2003/07/05 00:51:04 kevin Exp $
;;;; *************************************************************************

(in-package #:modlisp)

(defvar *listener-count* 0
  "used to name listeners")

(defvar *worker-count* 0
  "used to name workers")

(defconstant +default-apache-port+ 20123
  "Default port for listen")

(defvar *apache-socket* nil
  "the socket stream to apache")

(defvar *listener-socket*
  "Socket for the listener")

(defvar *listener-process* nil
  "Process for the listener")

(defvar *number-server-requests*)
(defvar *number-worker-requests*)
(defvar *close-apache-socket*)



